# GetDocumentComments(CommonTokenStream,ParserRuleContext,bool)

Method in [Compiler](/2.2/api/csharp/yarn.compiler/yarn.compiler.compiler.md)

## Summary

Gets the text of the documentation comments that either immediately precede `context` , or are on the same line as `context` .

```csharp
public static string GetDocumentComments(CommonTokenStream tokens, ParserRuleContext context, bool allowCommentsAfter = true)
```

## Remarks

Documentation comments begin with a triple-slash ( `///` ), and are used to describe variable declarations. If documentation comments precede a declaration (that is, they're not on the same line as the declaration), then they may span multiple lines, as long as each line begins with a triple-slash.

## Parameters

| Name                                       | Description                                                                                                                   |
| ------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------- |
| `Antlr4.Runtime.CommonTokenStream` tokens  | The token stream to search.                                                                                                   |
| `Antlr4.Runtime.ParserRuleContext` context | The parser rule context to get documentation comments for.                                                                    |
| `bool` allowCommentsAfter                  | If true, this method will search for documentation comments that come after `context` 's last token and are on the same line. |

## Returns

The text of the documentation comments.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.compiler/yarn.compiler.compiler.getdocumentcomments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
